# Draw
TKDraw
DBRep

# DBRep Class Reference

Used to display BRep objects using the DrawTrSurf
package.
The DrawableShape is a Display object build from a
Shape.
Provides methods to manage a directory of named shapes.
Provides a set of Draw commands for Shapes.
.

`#include <DBRep.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Set (const Standard_CString Name, const TopoDS_Shape &S)
| Sets <s> in the variable <name>. Overwrite the variable if already set. .
static Standard_EXPORT TopoDS_Shape | Get (Standard_CString &Name, const TopAbs_ShapeEnum Typ=TopAbs_SHAPE, const Standard_Boolean Complain=Standard_False)
| Returns the shape in the variable <name>. Returns a null shape if the variable is not set or not of the given <typ>. If <complain> is True a message is printed on cout if the variable is not set. .
static Standard_EXPORT void | BasicCommands (Draw_Interpretor &theCommands)
| Defines the basic commands. .
static Standard_EXPORT Standard_Boolean | HLRMode ()
| True if HLR, False if wireframe. .
static Standard_EXPORT Standard_Boolean | Rg1Mode ()
| True if display Rg1Lines. .
static Standard_EXPORT Standard_Boolean | RgNMode ()
| True if display RgNLines. .
static Standard_EXPORT Standard_Boolean | HidMode ()
| True if display HiddenLines. .
static Standard_EXPORT Standard_Real | HLRAngle ()
| discretisation angle for edges.
static Standard_EXPORT Standard_Integer | NbIsos ()
| number of iso in U and V
static Standard_EXPORT Standard_Integer | Discretisation ()
| discretisation number of points for curves //! set progress indicator //! get progress indicator

## Member Function Documentation

static Standard_EXPORT void DBRep::BasicCommands | ( | Draw_Interpretor & | theCommands | ) | `[static]`

static Standard_EXPORT Standard_Integer DBRep::Discretisation | ( |  | ) | `[static]`

static Standard_EXPORT TopoDS_Shape DBRep::Get | ( | Standard_CString & | Name,
|  | const TopAbs_ShapeEnum | Typ = `TopAbs_SHAPE`,
|  | const Standard_Boolean | Complain = `Standard_False`
| ) | `[static]`

static Standard_EXPORT Standard_Boolean DBRep::HidMode | ( |  | ) | `[static]`

static Standard_EXPORT Standard_Real DBRep::HLRAngle | ( |  | ) | `[static]`

static Standard_EXPORT Standard_Boolean DBRep::HLRMode | ( |  | ) | `[static]`

static Standard_EXPORT Standard_Integer DBRep::NbIsos | ( |  | ) | `[static]`

void DBRep::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DBRep::operator new | ( | size_t | size | ) | `[inline]`

void* DBRep::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_Boolean DBRep::Rg1Mode | ( |  | ) | `[static]`

static Standard_EXPORT Standard_Boolean DBRep::RgNMode | ( |  | ) | `[static]`

static Standard_EXPORT void DBRep::Set | ( | const Standard_CString | Name,
|  | const TopoDS_Shape & | S
| ) | `[static]`

The documentation for this class was generated from the following file:

- DBRep.hxx